Skip to main content
GET
https://api.dojah.io
/
api
/
v1
/
kyc
/
bvn
/
full
Validate BVN
curl --request GET \
  --url https://api.dojah.io/api/v1/kyc/bvn/full \
  --header 'AppId: <appid>' \
  --header 'Authorization: <api-key>'
{
  "entity": {
    "bvn": {
      "value": "22380348250",
      "status": true
    },
    "first_name": {
      "confidence_value": 100,
      "status": true
    },
    "date_of_birth": {
      "status": true
    }
  }
}
AppId
string
required
Application ID from dashboard

Query parameter

bvn
string
required
A valid Bank Verification Number (BVN)
first_name
string
required
First name associated with the BVN
last_name
string
required
Last name associated with the BVN
dob
string
default:"YYYY-MM-DD"
required
Date of Birth

RESPONSES

200
json
json
400
Object
401
Object
{
  "entity": {
    "bvn": {
      "value": "22380348250",
      "status": true
    },
    "first_name": {
      "confidence_value": 100,
      "status": true
    },
    "date_of_birth": {
      "status": true
    }
  }
}